<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security" xmlns="http://www.w3.org/1999/html"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>Time Off Request</title>
</head>
<body>
<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_request::sidebar_request" th:remove="tag">
        sidebar
    </div>


    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Time Off Request
                </div>
            </div>
        </div>

        <div class="row">

            <div class="col-md-6">
                <!-- Horizontal Form -->
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">Time off Request</h3>
                        <h3 class="box-title" th:text="${employes.fullName}">Ayah dari</h3>
                    </div>
                    <!-- /.box-header -->
                    <!-- form start -->
                    <form class="form-horizontal" th:action="@{/request/time_off/save(employes=${employes.id})}" th:object="${timeOffRequest}" method="post" enctype="multipart/form-data">
                        <div class="box-body">

                            <div class="callout callout-danger ur" th:if="${fatal != null}">
                                <h4>Save Data Unsuccesfully!</h4>

                                <p th:text="${fatal}">Request anda melebihi sisa kuota cuti yang anda miliki.</p>
                            </div>

                        </div>
                        <!-- /.box-body -->
                        <div class="box-footer">

                            <a th:href="@{/request/time_off/new}" class="btn btn-default">Cancel</a>
                            <!--                        <button type="submit" class="btn btn-info pull-right te" id="simpan">Save</button>-->

                        </div>
                        <!-- /.box-footer -->
                    </form>
                </div>
            </div>
        </div>


    </main>


</main>
</body>
</html>


<!--<!DOCTYPE html>-->
<!--        <html xmlns:th="http://www.thymeleaf.org"-->
<!--        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--        layout:decorate="~{layout}">-->
<!--        <head>-->
<!--        <meta charset="UTF-8">-->
<!--        <title>Time Off Request</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Time off Request-->
<!--        <small></small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Request</li>-->
<!--        <li class="active"> Time off Request</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->


<!--    <div class="row">-->

<!--        <div class="col-md-6">-->
<!--            &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--            <div class="box box-info">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Time off Request</h3>-->
<!--                    <h3 class="box-title" th:text="${employes.fullName}">Ayah dari</h3>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                &lt;!&ndash; form start &ndash;&gt;-->
<!--                <form class="form-horizontal" th:action="@{/request/time_off/save(employes=${employes.id})}" th:object="${timeOffRequest}" method="post" enctype="multipart/form-data">-->
<!--                    <div class="box-body">-->

<!--                        <div class="callout callout-danger ur" th:if="${fatal != null}">-->
<!--                            <h4>Save Data Unsuccesfully!</h4>-->

<!--                            <p th:text="${fatal}">Request anda melebihi sisa kuota cuti yang anda miliki.</p>-->
<!--                        </div>-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer">-->

<!--                        <a th:href="@{/request/time_off/new}" class="btn btn-default">Cancel</a>-->
<!--                        &lt;!&ndash;                        <button type="submit" class="btn btn-info pull-right te" id="simpan">Save</button>&ndash;&gt;-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->


<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#tanggalOvertime').datepicker({-->
<!--                autoclose: true,-->
<!--                format: 'dd-MM-yyyy'-->
<!--            })-->

<!--            $('#endDateString').datepicker({-->
<!--                autoclose: true-->

<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->

<!--            $('.te').hide();-->

<!--            $('.pe').hide();-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->

<!--    <script>-->
<!--        function isiTanggal() {-->
<!--            var tanggalString = document.getElementById("tanggalOvertime").value;-->
<!--            var idEmployee = document.getElementById("idEmployee").value;-->

<!--            // document.getElementById("isiTanggalOvertimeString").setAttribute('value', tanggalString);-->

<!--            const url = '/api/overtime/cek_shift?tanggal='+tanggalString+'&employee='+idEmployee;-->
<!--            $.getJSON(url, function(data){-->

<!--                var display = `Status: ${data.status}<br>-->
<!--                                                    Shift In: ${data.shiftIn}<br>-->
<!--                                                    Shift Out: ${data.shiftOut}<br>-->
<!--                                                    Lembur terhitung jika masuk sebelum ${data.overtimeBefore} dan selesai ${data.shiftIn} atau mulai ${data.shiftOut} dan selesai setelah ${data.overtimeAfter} <br>-->
<!--                                                    Waktu lembur maksimal 3 jam`-->

<!--                var display2 = `Status: ${data.keterangan}, Hari Libur<br>-->
<!--                                Waktu lembur maksimal di hari ini hanya 5 jam<br>-->
<!--                                Harus melampirkan surat tugas tertulis dari atasan masing-masing`-->
<!--                if(data.status == 'ON'){-->
<!--                    $(".pe").html(display);-->
<!--                    $(".pe").show();-->
<!--                    // document.getElementById("overtimeFrom").setAttribute('value',`${data.shiftOut}`);-->
<!--                    // document.getElementById("overtimeTo").setAttribute('value', `${data.overtimeAfter}`);-->
<!--                }else{-->
<!--                    $(".pe").html(display2);-->
<!--                    $(".pe").show();-->
<!--                }-->

<!--                document.getElementById("statusOvertime").setAttribute('value', `${data.status}`)-->
<!--                // document.getElementById("tanda").setAttribute('value', data.shiftIn);-->

<!--                document.getElementById("statusHari").setAttribute('value', data.status);-->
<!--            });-->
<!--        }-->

<!--        function cekMasuk(){-->
<!--            var tanggalString = document.getElementById("tanggalOvertime").value;-->
<!--            var idEmployee = document.getElementById("idEmployee").value;-->
<!--            var masuk = document.getElementById("overtimeFrom").value;-->
<!--            const url = '/api/overtime/cek_masuk?tanggal='+tanggalString+'&employee='+idEmployee+'&masuk='+masuk;-->
<!--            $.getJSON(url, function(data) {-->
<!--                if(data.status == 'OFF'){-->
<!--                    var display = `${data.keteranganMasuk}`-->
<!--                    $(".re").html(display);-->
<!--                    $(".re").show();-->
<!--                    $(".te").hide();-->
<!--                }else{-->
<!--                    var display2 = ``-->
<!--                    $(".re").html(display2);-->
<!--                    $(".re").hide();-->
<!--                    $(".te").show();-->
<!--                }-->
<!--            });-->
<!--        }-->

<!--        function cekKeluar() {-->
<!--            var tanggalString = document.getElementById("tanggalOvertime").value;-->
<!--            var idEmployee = document.getElementById("idEmployee").value;-->
<!--            var masuk = document.getElementById("overtimeFrom").value;-->
<!--            var keluar = document.getElementById("overtimeTo").value;-->
<!--            const url = '/api/overtime/cek_keluar?tanggal='+tanggalString+'&employee='+idEmployee+'&keluar='+keluar+'&masuk='+masuk;-->
<!--            $.getJSON(url, function(data) {-->
<!--                if(data.statusMasuk == 'OFF'){-->
<!--                    var display = `${data.keteranganMasuk}`-->
<!--                    var display2 = `${data.keteranganKeluar}`-->
<!--                    $(".re").html(display);-->
<!--                    $(".ra").html(display2);-->
<!--                    $(".re").show();-->
<!--                    $(".ra").show();-->
<!--                    $(".te").hide();-->
<!--                }else{-->
<!--                    var display2 = ``-->
<!--                    $(".re").html(display2);-->
<!--                    $(".re").hide();-->
<!--                    $(".ra").hide();-->
<!--                    $(".te").show();-->
<!--                }-->
<!--            });-->
<!--        }-->
<!--    </script>-->

<!--</section>-->
<!--</body>-->
<!--</html>-->
<!--</body>-->
<!--</html></title>-->
<!--</head>-->
<!--<body>-->

<!--</body>-->
<!--</html>-->